package com.jiayue.insu.inclientqn.inenum;
/**
 * 山东国家研究院 ENUM
 *
 * @author fxy
 * @version 1.0
 * @since 2023/12/15 11:29
 */
public enum BJZYYJYSDEnum {

    REQUEST_SUCCESS("0","success","请求成功"),
    REQUEST_FAIL("T000","fail","请求失败"),

    PERMISSON_TOKEN_EXPIRE("I101","TOKEN_EXPIRE","token已过期"),
    PERMISSON_TOKEN_INVALID("I102","TOKEN_INVALID","无效token"),
    PERMISSON_AUTOGRAPH_FAIL("I103","AUTOGRAPH_FAIL","签名失败"),
    PERMISSON_LOGIN_NOT("I104","LOGIN_NOT","用户未登录"),

    /**
     * 传输类型
     */
    TRANSFER_TYPE_DOWNLOAD("download","download","数据传输类型:功率预测主站下发"),
    TRANSFER_TYPE_UPLOAD("upload","upload","数据传输类型:功率预测子站回传"),
    TRANSFER_TYPE_CORRECT("correct","correct","数据传输类型:一体化平台修正下发"),

    /**
     * 数据类型
     */
    DATA_FORE_TYPE("FORE","FORE","预测"),
    DATA_PROBDIST_TYPE("PROBDIST","PROBDIST","概率分布"),
    DATA_STAT_TYPE("STAT","STAT","统计"),
    DATA_CORRFORE_TYPE("CORRFORE","CORRFORE","优化后预测"),
    DATA_TODAYFORE_TYPE("TODAYFORE","TODAYFORE","优化后当日预测"),
    DATA_CORRULTRSHOR_TYPE("CORRULTRSHOR","CORRULTRSHOR","超短期修正"),
    DATA_REPAPLAN_TYPE("REPAPLAN","REPAPLAN","检修计划"),
    /**
     * 回传数据类型划分
     */
    DATA_FORE_TYPE_UltraShortTermForecast("UltraShortTermForecast","UltraShortTermForecast","超短期功率预测上报回传"),
    DATA_FORE_TYPE_ForecastPower("ForecastPower","ForecastPower","短期功率预测上报回传"),
    DATA_STAT_TYPE_RealPower("RealPower","RealPower","实发功率回传"),
    DATA_STAT_TYPE_RealWeather("RealWeather","RealWeather","实际气象回传"),
    DATA_STAT_TYPE_ForecastPowerReport("ForecastPowerReport","ForecastPowerReport","短期上报状态回传"),
    DATA_STAT_TYPE_UltraShortTermForecastReport("UltraShortTermForecastReport","UltraShortTermForecastReport","超短期上报状态回传"),

    DATA_STAT_ALL("BACK_STAT_ALL","BACK_STAT_ALL","统计数据回传"),

    DATA_FORE_ALL("BACK_FORE_ALL","BACK_FORE_ALL","预测数据回传")
            ;

    private String code;
    private String sign;
    private String msg;

    BJZYYJYSDEnum(String code, String sign, String msg) {
        this.code = code;
        this.sign = sign;
        this.msg  =msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }


    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }


    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
